> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Driver

> Retrieve a driver by ID.



## OpenAPI

````yaml get /v2/drivers/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/drivers/{id}/:
    get:
      tags:
        - Drivers
      description: Driver Model View Set
      operationId: v2_drivers_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this Driver.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Driver'
          description: ''
components:
  schemas:
    Driver:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: array
          items:
            type: string
            format: email
        driver_id:
          type: string
          nullable: true
          maxLength: 255
        first_name:
          type: string
          maxLength: 100
        last_name:
          type: string
          maxLength: 100
        address_line_1:
          type: string
          maxLength: 100
        address_line_2:
          type: string
          nullable: true
          maxLength: 100
        city:
          type: string
          maxLength: 50
        state:
          type: string
          maxLength: 2
        zip:
          type: string
          maxLength: 10
          minLength: 5
        contact_number:
          type: string
          nullable: true
          maxLength: 15
      required:
        - address_line_1
        - city
        - first_name
        - id
        - state
        - zip
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````